# BUYObject Class Reference

Inherits from | NSObject
Declared in | BUYObject.h

## Overview

This is the base class for all Shopify model objects. This class takes care of convertion .json responses into the associated subclass.

You will generally not need to interact with this class directly.

### `identifier`

The identifier of any Shopify model object.

`@property (nonatomic, strong, readonly) NSNumber *identifier`

#### Declared In

`BUYObject.h`

### `dirty`

Objects marked as “dirty” are unsynced with Shopify and will sync on any calls to Shopify when updating a checkout.

`@property (nonatomic, readonly, getter=isDirty) BOOL dirty`

#### Declared In

`BUYObject.h`